Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authorization
Interface RoleReaderMBean

All Known Subinterfaces:
  DefaultRoleMapperMBean, RoleEditorMBean

public interface RoleReaderMBean
extends weblogic.management.commo.StandardInterface

Provides a set of methods for reading policies. An Authorization-provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when an Authorization provider extends this MBean and automatically provides a GUI for using these methods.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getRoleExpression(java.lang.String resourceId, java.lang.String roleName)` Returns the expression that defines the role granding policy.
`java.lang.String[]` | `listRolesForResource(java.lang.String resourceId)` Lists the role names that are scoped by a resource.
`boolean` | `roleExists(java.lang.String resourceId, java.lang.String roleName)` Indicates whether a role exists.

Methods inherited from interface weblogic.management.commo.StandardInterface
`wls_getAttributeTag, wls_getConstructorTag, wls_getDisplayName, wls_getInterfaceClassName, wls_getMBeanTag, wls_getNotificationTag, wls_getObjectName, wls_getOperationTag, wls_instanceOf`

Method Detail

### roleExists

    public boolean roleExists(java.lang.String resourceId,
                              java.lang.String roleName)

  Indicates whether a role exists.

  Parameters:
    `resourceId` - - The resource that scopes the role. Each role has a scoping resource. A null indicates a global role.
    `roleName` - - The role for which this method searches.

### getRoleExpression

    public java.lang.String getRoleExpression(java.lang.String resourceId,
                                              java.lang.String roleName)
                                       throws NotFoundException

  Returns the expression that defines the role granding policy.

  Parameters:
    `resourceId` - - The resource that scopes the new role. Each resource has its predefined 'hierachy'. This new role is applicable to all of the given resouce's descendants if any. A null indicates a global role, no scoping resource, which applies to all resources within the container.
    `roleName` - - The role for which this method returns the role granding expression. A null value will trigger NullPointerException.
  Throws:
    NotFoundException -

### listRolesForResource

    public java.lang.String[] listRolesForResource(java.lang.String resourceId)

  Lists the role names that are scoped by a resource. Returns a null list if there are no roles under this resource scoping.

  Parameters:
    `resourceId` - - A resource identifier. A null value specifies a global role.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD